module GI.WebKit2WebExtension.Objects.DOMHTMLAnchorElement where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DOMHTMLAnchorElement = DOMHTMLAnchorElement (ForeignPtr DOMHTMLAnchorElement)
instance GObject DOMHTMLAnchorElement where
class GObject o => DOMHTMLAnchorElementK o
instance (GObject o, IsDescendantOf DOMHTMLAnchorElement o) => DOMHTMLAnchorElementK o
data DOMHTMLAnchorElementCharsetPropertyInfo
data DOMHTMLAnchorElementCoordsPropertyInfo
data DOMHTMLAnchorElementDownloadPropertyInfo
data DOMHTMLAnchorElementHashPropertyInfo
data DOMHTMLAnchorElementHostPropertyInfo
data DOMHTMLAnchorElementHostnamePropertyInfo
data DOMHTMLAnchorElementHrefPropertyInfo
data DOMHTMLAnchorElementHreflangPropertyInfo
data DOMHTMLAnchorElementNamePropertyInfo
data DOMHTMLAnchorElementOriginPropertyInfo
data DOMHTMLAnchorElementPathnamePropertyInfo
data DOMHTMLAnchorElementPingPropertyInfo
data DOMHTMLAnchorElementPortPropertyInfo
data DOMHTMLAnchorElementProtocolPropertyInfo
data DOMHTMLAnchorElementRelPropertyInfo
data DOMHTMLAnchorElementRevPropertyInfo
data DOMHTMLAnchorElementSearchPropertyInfo
data DOMHTMLAnchorElementShapePropertyInfo
data DOMHTMLAnchorElementTargetPropertyInfo
data DOMHTMLAnchorElementTextPropertyInfo
data DOMHTMLAnchorElementTypePropertyInfo
data DOMHTMLAnchorElementGetCharsetMethodInfo
data DOMHTMLAnchorElementGetCoordsMethodInfo
data DOMHTMLAnchorElementGetHashMethodInfo
data DOMHTMLAnchorElementGetHostMethodInfo
data DOMHTMLAnchorElementGetHostnameMethodInfo
data DOMHTMLAnchorElementGetHrefMethodInfo
data DOMHTMLAnchorElementGetHreflangMethodInfo
data DOMHTMLAnchorElementGetNameMethodInfo
data DOMHTMLAnchorElementGetPathnameMethodInfo
data DOMHTMLAnchorElementGetPortMethodInfo
data DOMHTMLAnchorElementGetProtocolMethodInfo
data DOMHTMLAnchorElementGetRelMethodInfo
data DOMHTMLAnchorElementGetRevMethodInfo
data DOMHTMLAnchorElementGetSearchMethodInfo
data DOMHTMLAnchorElementGetShapeMethodInfo
data DOMHTMLAnchorElementGetTargetMethodInfo
data DOMHTMLAnchorElementGetTextMethodInfo
data DOMHTMLAnchorElementGetTypeAttrMethodInfo
data DOMHTMLAnchorElementSetCharsetMethodInfo
data DOMHTMLAnchorElementSetCoordsMethodInfo
data DOMHTMLAnchorElementSetHashMethodInfo
data DOMHTMLAnchorElementSetHostMethodInfo
data DOMHTMLAnchorElementSetHostnameMethodInfo
data DOMHTMLAnchorElementSetHrefMethodInfo
data DOMHTMLAnchorElementSetHreflangMethodInfo
data DOMHTMLAnchorElementSetNameMethodInfo
data DOMHTMLAnchorElementSetPathnameMethodInfo
data DOMHTMLAnchorElementSetPortMethodInfo
data DOMHTMLAnchorElementSetProtocolMethodInfo
data DOMHTMLAnchorElementSetRelMethodInfo
data DOMHTMLAnchorElementSetRevMethodInfo
data DOMHTMLAnchorElementSetSearchMethodInfo
data DOMHTMLAnchorElementSetShapeMethodInfo
data DOMHTMLAnchorElementSetTargetMethodInfo
data DOMHTMLAnchorElementSetTypeAttrMethodInfo
