module GI.WebKit2WebExtension.Objects.DOMHTMLFrameElement where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype DOMHTMLFrameElement = DOMHTMLFrameElement (ForeignPtr DOMHTMLFrameElement)
instance GObject DOMHTMLFrameElement where
class GObject o => DOMHTMLFrameElementK o
instance (GObject o, IsDescendantOf DOMHTMLFrameElement o) => DOMHTMLFrameElementK o
data DOMHTMLFrameElementContentDocumentPropertyInfo
data DOMHTMLFrameElementContentWindowPropertyInfo
data DOMHTMLFrameElementFrameBorderPropertyInfo
data DOMHTMLFrameElementHeightPropertyInfo
data DOMHTMLFrameElementLongDescPropertyInfo
data DOMHTMLFrameElementMarginHeightPropertyInfo
data DOMHTMLFrameElementMarginWidthPropertyInfo
data DOMHTMLFrameElementNamePropertyInfo
data DOMHTMLFrameElementNoResizePropertyInfo
data DOMHTMLFrameElementScrollingPropertyInfo
data DOMHTMLFrameElementSrcPropertyInfo
data DOMHTMLFrameElementWidthPropertyInfo
data DOMHTMLFrameElementGetContentDocumentMethodInfo
data DOMHTMLFrameElementGetContentWindowMethodInfo
data DOMHTMLFrameElementGetFrameBorderMethodInfo
data DOMHTMLFrameElementGetHeightMethodInfo
data DOMHTMLFrameElementGetLongDescMethodInfo
data DOMHTMLFrameElementGetMarginHeightMethodInfo
data DOMHTMLFrameElementGetMarginWidthMethodInfo
data DOMHTMLFrameElementGetNameMethodInfo
data DOMHTMLFrameElementGetNoResizeMethodInfo
data DOMHTMLFrameElementGetScrollingMethodInfo
data DOMHTMLFrameElementGetSrcMethodInfo
data DOMHTMLFrameElementGetWidthMethodInfo
data DOMHTMLFrameElementSetFrameBorderMethodInfo
data DOMHTMLFrameElementSetLongDescMethodInfo
data DOMHTMLFrameElementSetMarginHeightMethodInfo
data DOMHTMLFrameElementSetMarginWidthMethodInfo
data DOMHTMLFrameElementSetNameMethodInfo
data DOMHTMLFrameElementSetNoResizeMethodInfo
data DOMHTMLFrameElementSetScrollingMethodInfo
data DOMHTMLFrameElementSetSrcMethodInfo
