

{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.WebKit2WebExtension.Structs.ContextMenu_
    ( 

-- * Exported types
    ContextMenu_(..)                        ,
    newZeroContextMenu_                     ,
    noContextMenu_                          ,


 -- * Properties
-- ** Parent
    contextMenu_ReadParent                  ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.WebKit2WebExtension.Types
import GI.WebKit2WebExtension.Callbacks
import qualified GI.GObject as GObject

newtype ContextMenu_ = ContextMenu_ (ForeignPtr ContextMenu_)
-- | Construct a `ContextMenu_` struct initialized to zero.
newZeroContextMenu_ :: MonadIO m => m ContextMenu_
newZeroContextMenu_ = liftIO $ callocBytes 32 >>= wrapPtr ContextMenu_

noContextMenu_ :: Maybe ContextMenu_
noContextMenu_ = Nothing

contextMenu_ReadParent :: ContextMenu_ -> IO GObject.Object
contextMenu_ReadParent s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 0) :: IO (Ptr GObject.Object)
    val' <- (newObject GObject.Object) val
    return val'


type family ResolveContextMenu_Method (t :: Symbol) (o :: *) :: * where
    ResolveContextMenu_Method l o = MethodResolutionFailed l o

instance (info ~ ResolveContextMenu_Method t ContextMenu_, MethodInfo info ContextMenu_ p) => IsLabelProxy t (ContextMenu_ -> p) where
    fromLabelProxy _ = overloadedMethod (MethodProxy :: MethodProxy info)

#if MIN_VERSION_base(4,9,0)
instance (info ~ ResolveContextMenu_Method t ContextMenu_, MethodInfo info ContextMenu_ p) => IsLabel t (ContextMenu_ -> p) where
    fromLabel _ = overloadedMethod (MethodProxy :: MethodProxy info)
#endif


